<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="jquery-3.6.0.min.js" \></script>
    <title>UA identity</title>
    <style>
        .create_secret {
            display: flex;
            flex-direction: column;
            align-items: flex-start;
        }
    </style>
</head>
<body>
<h2>Створити секрет</h2>
<div class="create_secret">
    <div>Кількість запитань: <input id="questions_count" type="number" value="5"/></div>
    <div>Максимальна кількість помилок: <input id="allowed_fails" type="number" value="1"/></div>
    <div>Час автоматичного знищення: <input id="expiration_time" type="datetime-local"/></div>
    <div>Секрет: <textarea id="secret"></textarea></div>
    <div>
        <button id="create">створити</button>
    </div>
</div>
</body>
<script>
    $("#create").on("click", () => {
        let expirationTime = Math.round((new Date($("#expiration_time").val())).getTime() / 1000);
        let requestBody = {
            "questions_count" : parseInt($("#questions_count").val()),
            "allowed_fails" : parseInt($("#allowed_fails").val()),
            "expiration_time_unix" : expirationTime,
            "secret": $("#secret").val()
        }
        $.ajax("/api/new_secret",
        {
            data: JSON.stringify(requestBody),
            contentType: 'application/json',
            type: 'POST',
            success: function (response) {
                alert("Ваше посилання: "+location.href+"s/"+response)
                location.reload()
            },
            error: function (response) {
                alert(JSON.stringify(response.responseJSON))
            }
        })
    })
</script>
</html>